
Katello - Bug #6366

Product removal help tip is not displayed and removal button is not hidden when a product is

published in a CV, etc.

06/24/2014 09:03 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112865 Red Hat JIRA:  

Pull request:    

Description

The product removal help tip is only being displayed when a user does not have permission to remove the product instead of in all

the cases it should be displayed.  The remove button is also not hidden as it should be.

Products should not be able to be deleted if they have been published in a content view or if the product is a Red Hat product.

Steps to Reproduce

1. Create a product

2. Make it "readonly" by doing one of the above actions

3. Notice the delete button is still there and the help tip is not

Associated revisions

Revision 40f32d00 - 06/25/2014 03:47 PM - Walden Raines

Fixes #6366/BZ1112865 - restore readonly product functionality.

When replacing the authorization system we removed the logic

that determines whether or not a product is read only.  This commit

restores that logic.

Revision 302479bf - 06/25/2014 07:47 PM - Walden Raines

Fixes #6366/BZ1112865 - restore readonly product functionality.

When replacing the authorization system we removed the logic

that determines whether or not a product is read only.  This commit

restores that logic.

Revision 26cf9ea9 - 06/26/2014 10:11 AM - Walden Raines

Merge pull request #4343 from waldenraines/6366

Fixes #6366/BZ1112865 - restore readonly product functionality.

Revision a39239bd - 06/26/2014 02:11 PM - Walden Raines

Merge pull request #4343 from waldenraines/6366

Fixes #6366/BZ1112865 - restore readonly product functionality.

History

#1 - 06/24/2014 09:03 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112865

#2 - 06/25/2014 01:42 PM - Walden Raines

- Status changed from New to Assigned
#3 - 06/25/2014 02:23 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4343

#4 - 06/26/2014 02:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:302479bf62495c57cd64083b5af27eea14923609.

#5 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
